Bug 996540 - MVELInformationTransformer hides potential mis-configuration problems
MVELInformationTransformer hides potential mis-configuration problems
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: ---
Assigned To: Gary Brown
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 07:59 EDT by Jiri Pechanec
Modified: 2014-07-02 05:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-251 Major Closed MVEL information transformer returns null if value is not a string 2014-07-02 05:18:42 EDT

  None (edit)
Description Jiri Pechanec 2013-08-13 07:59:54 EDT
When a MVEL transformer is configured for a type in an IP it is expected that the result value is String. Unfortunately when the transformer is mis-configured and returns other type it is just silently converted to null without any information or log message. It is very hard to find such a configuration mistake.

It seems that other transformers do the same.
Comment 1 JBoss JIRA Server 2013-08-14 06:10:52 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-251 to Resolved
Comment 2 Jiri Pechanec 2013-09-17 07:32:31 EDT
Verified in ER2
Comment 6 JBoss JIRA Server 2014-07-02 05:18:44 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-251 to Closed

Note You need to log in before you can comment on or make changes to this bug.